## sound-gambit-0.6-1.src.tar.gz

=== Makefile ===
PREFIX ?= /usr/local
bindir = $(PREFIX)/bin
mandir = $(PREFIX)/share/man/man1

PKG_CONFIG ?= pkg-config
CXXFLAGS ?= -Wall -O3 -ffast-math

VERSION?=$(shell (git describe --tags HEAD 2>/dev/null || echo "v0.6") | sed 's/^v//')

###############################################################################

ifeq ($(shell $(PKG_CONFIG) --exists sndfile || echo no), no)
  $(error "http://www.mega-nerd.com/libsndfile/ is required - install libsndfile1-dev")
endif

CPPFLAGS+=-DVERSION=\"$(VERSION)\"
CXXFLAGS+=`$(PKG_CONFIG) --cflags sndfile`
LOADLIBES=`$(PKG_CONFIG) --libs sndfile` -lm

all: sound-gambit

man: sound-gambit.1

sound-gambit: sound-gambit.cc peaklim.cc upsampler.cc

sound-gambit.1: sound-gambit
	help2man -N -n 'Audio File Peak Limiter' -o sound-gambit.1 ./sound-gambit

clean:
	rm -f sound-gambit

install: install-bin install-man

uninstall: uninstall-bin uninstall-man

install-bin: sound-gambit
	install -d $(DESTDIR)$(bindir)
	install -m755 sound-gambit $(DESTDIR)$(bindir)

uninstall-bin:
	rm -f $(DESTDIR)$(bindir)/sound-gambit
	-rmdir $(DESTDIR)$(bindir)

install-man:
	install -d $(DESTDIR)$(mandir)
	install -m644 sound-gambit.1 $(DESTDIR)$(mandir)

uninstall-man:
	rm -f $(DESTDIR)$(mandir)/sound-gambit.1
	-rmdir $(DESTDIR)$(mandir)

.PHONY: all clean install uninstall man install-man install-bin uninstall-man uninstall-bin

=== PKGBUILD ===
# Maintainer: David Runge <dvzrv@archlinux.org>

pkgname=sound-gambit
pkgver=0.6
pkgrel=1
pkgdesc="Audio File Peak Limiter"
arch=('x86_64')
url="https://github.com/x42/sound-gambit"
license=('GPL3')
groups=('pro-audio')
depends=('gcc-libs' 'glibc')
makedepends=('libsndfile')
source=("$pkgname-$pkgver.tar.gz::https://github.com/x42/${pkgname}/archive/refs/tags/v${pkgver}.tar.gz")
sha512sums=('6a827e6ec94d4cfe5934ad7fd6d0b1cefa2f6e2f973501830193f879a20d71f857a592721c91f8cf310f330cb4d3c18b7f7268440adce7f811d0796094fb654e')
b2sums=('d7f1ff257db311ab489aa7fbce5b96a96206d23e4ed01d5f8ec57b3fbd66344fa9e9b144e5f67397d1773918046f0c408dda64efb03a5f0f4d4790dfe35dac5b')

build() {
  cd "$pkgname-$pkgver"
  make
}

package() {
  depends+=('libsndfile.so')
  cd "$pkgname-$pkgver"
  make PREFIX='/usr' DESTDIR="$pkgdir/" install
  install -vDm 644 README.md -t "${pkgdir}/usr/share/doc/${pkgname}"
}
